Subject: libosmo-netif.git branch master updated. 0.0.2-27-g84fffec
From: [email-masked]
To: [email-masked]
Date: Sun, 15 Dec 2013 21:27:34 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Osmocom network interface library".

The branch, master has been updated
       via  84fffecba5f172aa66fa363e0e37e0ad43c4f3b6 (commit)
      from  1b9949b8c6e4d6d73380bfd3c41b7485afc54202 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/libosmo-netif/commit/?id=84fffecba5f172aa66fa363e0e37e0ad43c4f3b6

commit 84fffecba5f172aa66fa363e0e37e0ad43c4f3b6
Author: Pablo Neira Ayuso <[email-masked]>
Date:   Sun Dec 15 22:20:13 2013 +0100

    osmux: fix handling of too big RTP message in osmux_xfrm_input()
    
    With this patch, osmux_xfrm_input() returns 0 (means "message has been
    processed") instead of 1 (means "retry") if the RTP message is too big
    to fit into one osmux batch. This fixes a likely infinite loop in the
    caller, which will retry forever for a message does not fit into the
    batch.
    
    Unlikely to happen in normal scenario, as RTP+AMR messages are way
    smaller than the interface MTU.

-----------------------------------------------------------------------

Summary of changes:
 src/osmux.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

hooks/post-receive
-- 
Osmocom network interface library